VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "COMCTL32.OCX"
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form Main 
   Caption         =   "Rename Link"
   ClientHeight    =   5445
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   10710
   LinkTopic       =   "Form1"
   ScaleHeight     =   5445
   ScaleWidth      =   10710
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   960
      Top             =   1080
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4680
      TabIndex        =   10
      Top             =   1560
      Width           =   1095
   End
   Begin VB.Frame fraDrvSrv 
      Caption         =   "Drive/Server name:"
      Height          =   1815
      Left            =   5880
      TabIndex        =   5
      Top             =   120
      Width           =   4815
      Begin VB.TextBox NewDrive 
         Height          =   375
         Left            =   360
         TabIndex        =   9
         Top             =   1320
         Width           =   4335
      End
      Begin VB.TextBox OldDrive 
         Height          =   375
         Left            =   360
         TabIndex        =   7
         Top             =   480
         Width           =   4335
      End
      Begin VB.Label Label3 
         Caption         =   "New path:"
         Height          =   255
         Left            =   240
         TabIndex        =   8
         Top             =   960
         Width           =   975
      End
      Begin VB.Label Label2 
         Caption         =   "Current Path:"
         Height          =   255
         Left            =   120
         TabIndex        =   6
         Top             =   240
         Width           =   1095
      End
   End
   Begin VB.Frame fraSearch 
      Caption         =   "Folder to search:"
      Height          =   735
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   5655
      Begin VB.CommandButton cmdBrowse 
         Caption         =   "Browse"
         Height          =   375
         Left            =   4680
         TabIndex        =   4
         Top             =   240
         Width           =   855
      End
      Begin VB.TextBox SearchFolder 
         Height          =   375
         Left            =   120
         TabIndex        =   3
         Top             =   240
         Width           =   4455
      End
   End
   Begin ComctlLib.ListView ListView1 
      Height          =   3375
      Left            =   120
      TabIndex        =   1
      Top             =   2040
      Width           =   10575
      _ExtentX        =   18653
      _ExtentY        =   5953
      MultiSelect     =   -1  'True
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      _Version        =   327682
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   0
   End
   Begin VB.CommandButton DoIt 
      Caption         =   "Process"
      Height          =   375
      Left            =   3480
      TabIndex        =   0
      Top             =   1560
      Width           =   1095
   End
End
Attribute VB_Name = "Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Compare Text
Dim RevMgr As Object
Dim fs As Object

Public strSearchDrive As String
Public strSearchFolder As String
Private Sub ProcessFile(Filename As String)

  
Dim ContainerDoc As Object
Dim Docs As Object
Dim Doc As Object
Dim LinkName As String
Dim LinkFile As Object
Dim DriveName As String
Dim DriveNameToReplace As String
Dim NewDriveName As String
Dim NewLinkName As String
Dim ListItem As ListItem


Debug.Print ("Processing file: <" & Filename & ">" & vbCrLf)

Set ContainerDoc = RevMgr.Open(Filename)


Rem If ContainerDoc Is Null Then
Rem    Debug.Print ("Could not open <" & Filename & ">" & vbCrLf)
Rem Else
    Set Docs = ContainerDoc.LinkedDocuments
    
    If (Not Docs Is Nothing) Then
    
    
    For Each Doc In Docs
        LinkName = Doc.AbsolutePath
        DriveName = fs.GetDriveName(LinkName)
        
        If (InStr(1, DriveName, OldDrive.Text, vbTextCompare)) Then
            NewDriveName = Replace(DriveName, OldDrive.Text, NewDrive.Text, 1, 1, vbTextCompare)
            NewLinkName = Replace(LinkName, DriveName, NewDriveName, 1, 1, vbTextCompare)
            Doc.SetPath (NewLinkName)
            Set ListItem = ListView1.ListItems.Add(, , LinkName)
            ListItem.SubItems(1) = NewLinkName
            ListItem.SubItems(2) = ContainerDoc.FullName
        End If
      
    Next
    
    End If
    
    
Rem End If



End Sub

Private Sub ProcessFolder(Foldername As String)

Dim Folder As Object
Dim Subfolder As Object
Dim File As Object

Debug.Print (vbCrLf & "Processing folder: <" & Foldername & ">" & vbCrLf)

Set Folder = fs.GetFolder(Foldername)

For Each File In Folder.Files
    Call ProcessFile(File.Path)
Next

For Each Subfolder In Folder.subfolders
    Call ProcessFolder(Subfolder.Path)
Next

End Sub

Private Sub cmdBrowse_Click()

    'Set fs = CreateObject("Scripting.FileSystemObject")
    Load frmBrowseFolder
    If fs.DriveExists(strSearchDrive) Then
        frmBrowseFolder.Drive1.Drive = strSearchDrive
        frmBrowseFolder.Dir1.Path = strSearchFolder
    End If
    frmBrowseFolder.Show vbModal, Me
    If Not frmBrowseFolder.bCancel Then
        SearchFolder.Text = frmBrowseFolder.Dir1
        strSearchDrive = Left$(frmBrowseFolder.Drive1, 2)
        strSearchFolder = frmBrowseFolder.Dir1
    End If
    
    Unload frmBrowseFolder
    
End Sub

Private Sub cmdCancel_Click()

    Unload Me
    
End Sub

Private Sub DoIt_Click()

ListView1.ListItems.Clear

Call ProcessFolder(SearchFolder.Text)


End Sub

Private Sub Form_Load()

Dim ListItem As ListItem

strSearchDrive = ""
strSearchFolder = ""

Set RevMgr = CreateObject("RevisionManager.Application")
Set fs = CreateObject("Scripting.FileSystemObject")

i = ListView1.ColumnHeaders.Add(, , "Replaced")
i = ListView1.ColumnHeaders.Add(2, , "with")
i = ListView1.ColumnHeaders.Add(3, , "In container")
ListView1.ListItems.Clear
ListView1.View = lvwReport






End Sub


Private Sub Form_Resize()

    ListView1.Width = Me.ScaleWidth - ListView1.Left
    ListView1.Height = Me.ScaleHeight - ListView1.Top
    
End Sub


